Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/customers/{user_id}/loyalty \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"loyalty": {
"membership_number": "<string>",
"date_of_join": "2023-11-07T05:31:56Z",
"date_of_assign": "2023-11-07T05:31:56Z",
"date_of_reset": "2023-11-07T05:31:56Z",
"current_tier": "<string>",
"points_earned": 123,
"points_redeemed": 123,
"points_balance": 123,
"total_orders": 123,
"lifetime_orders": 123,
"total_spent": 123,
"lifetime_spent": 123,
"lifetime_savings": 123
}
}
}Retrieve loyalty details
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/customers/{user_id}/loyalty \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"loyalty": {
"membership_number": "<string>",
"date_of_join": "2023-11-07T05:31:56Z",
"date_of_assign": "2023-11-07T05:31:56Z",
"date_of_reset": "2023-11-07T05:31:56Z",
"current_tier": "<string>",
"points_earned": 123,
"points_redeemed": 123,
"points_balance": 123,
"total_orders": 123,
"lifetime_orders": 123,
"total_spent": 123,
"lifetime_spent": 123,
"lifetime_savings": 123
}
}
}Was this page helpful?